﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace BreakEvenAnalysis
{
    public partial class BreakEvenAnalysisCalc : Form
    {

        private Font font;
        public BreakEvenAnalysisCalc()
        {
            InitializeComponent();
            font = new System.Drawing.Font("Lucida Bright",15F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
            this.fixedCostLabel.Font = font;
            this.variableCostPerUnitLabel.Font = font;
            this.unitSellingCostLabel.Font = font;
            this.unitIncrementsLabel.Font = font;
            this.calculateBreakEven.Font = font;
            this.fixedCostInput.Font = font;
            this.variableCostPerUnitInput.Font = font;
            this.unitSellingCostInput.Font = font;
            this.unitIncrementsInput.Font = font;

            this.BackColor = Color.Black;
            this.unitIncrementsInput.ShowDropDownButton = false;
            this.StartPosition = FormStartPosition.Manual;
            this.Location = new Point(10, 10);
            unitIncrementsInput.ValueChanged += C1NumericEdit1_ValueChanged;
        }


        private void C1NumericEdit1_ValueChanged(object sender, EventArgs e)
        {
            if (Convert.ToInt32(unitIncrementsInput.Value) < 0)
            {
                unitIncrementsInput.Value = 0;
            }
        }

        private void c1Button1_Click(object sender, EventArgs e)
        {
            if (!String.IsNullOrEmpty(fixedCostInput.Text) && !String.IsNullOrEmpty(variableCostPerUnitInput.Text) && !String.IsNullOrEmpty(unitSellingCostInput.Text))
            {
                BreakEvenAnalysisOutput frm = new BreakEvenAnalysisOutput((double)fixedCostInput.Value, (double)variableCostPerUnitInput.Value, (double)unitSellingCostInput.Value, Convert.ToInt32(unitIncrementsInput.Value));
                frm.StartPosition = FormStartPosition.Manual;
                frm.Location = new Point(this.Right + 10, 10);
                frm.Show();
            }
            else
            {
                MessageBox.Show("Please fill all the required details");
            }
        }
    }
}
